> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Post Comments

> Get the full nested comment tree for a Reddit post. Supports configurable depth (0-10 levels).



## OpenAPI

````yaml GET /v1/reddit/posts/{post_id}/comments
openapi: 3.1.0
info:
  title: ScrapeBadger Reddit API
  version: 1.0.0
  description: >-
    Reddit scraping API for posts, comments, subreddits, users, search, and wiki
    content.
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/reddit/posts/{post_id}/comments:
    get:
      summary: Get post comments
      description: Get comment tree for a Reddit post.
      operationId: get_post_comments_v1_reddit_posts__post_id__comments_get
      parameters:
        - name: post_id
          in: path
          required: true
          schema:
            type: string
            title: Post Id
        - name: sort
          in: query
          required: false
          schema:
            type: string
            description: 'Sort: confidence, top, new, controversial, old, qa'
            default: confidence
            title: Sort
          description: 'Sort: confidence, top, new, controversial, old, qa'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 25
            title: Limit
        - name: depth
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 10
                minimum: 0
              - type: 'null'
            title: Depth
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: >-
                  Response Get Post Comments V1 Reddit Posts  Post Id  Comments
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: ScrapeBadger API key

````